# Class JMeterStopThreadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.jorphan.util.JMeterStopThreadException

All Implemented Interfaces:
  `Serializable`

public class JMeterStopThreadException extends RuntimeException
This Exception is for use by functions etc to signal a Stop Thread condition where there is no access to the normal stop method

Version:
  $Revision: 1595401 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMeterStopThreadException()`
`JMeterStopThreadException(String s)`
`JMeterStopThreadException(String message, Throwable cause)`
`JMeterStopThreadException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterStopThreadException

public JMeterStopThreadException()

### JMeterStopThreadException

public JMeterStopThreadException(String s)

### JMeterStopThreadException

public JMeterStopThreadException(String message, Throwable cause)

### JMeterStopThreadException

public JMeterStopThreadException(Throwable cause)